Bug 23710 - Tripwire segfaults on "Creating file information database"
Tripwire segfaults on "Creating file information database"
Product: Red Hat Powertools
Classification: Retired
Component: tripwire (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-01-10 10:24 EST by Alan Hoyle
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-15 07:34:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Hoyle 2001-01-10 10:24:27 EST
I checked bugzilla, and wasn't able to find another bug where it failed on
the database generation part of tripwire.  I'm using the default settings
for the installation.  

[root@nelson /tmp]# /sbin/tripwire -init
### Phase 1:   Reading configuration file
### Phase 2:   Generating file list
### Phase 3:   Creating file information database
Segmentation fault (core dumped)
[root@nelson /tmp]# rpm -q tripwire
[root@nelson /tmp]#
Comment 1 Ngo Than 2001-01-16 11:09:31 EST
you should run /etc/tripwire/twinstall.sh to generate cryptographic keys, and
"tripwire --init" to initialize the

i cannot reproduce this problem on my local machine. Could you please check it

Why was tripwire installed under /sbin on yor machine?  in tripwire-2.3-56
tripwire is installed
under /usr/sbin and this package is not in in powwertools, but in distri! 

Comment 2 Alan Hoyle 2001-01-16 15:32:00 EST
Sorry about putting this into Powertools....  I 

My currently installed rpm is for 2.3-56.  I originally received this error on
the .rpm that the 7.0 installer got:  2.3-55.  I checked in Bugzilla for idea
and saw a reference to 2.3-56 as potentially fixing problems.  I downloaded and
installed a copy of the file, but I'm not 100% sure of the origin.  I'm 90% sure
it came from Redhat or a mirror site (likely ibiblio), but I _do_ often download
.rpms from rufus.w3.org.  Here is the best information I have on the package.  I
can provide a core if that would help.  

# rpm -q tripwire --changelog
* Wed Sep 20 2000 Nalin Dahyabhai <nalin@redhat.com>

- change exclusivearch: i386 to exclusivearch: %{ix86} (#17759)

* Wed Aug 23 2000 Than Ngo <than@redhat.com>

- remove copyleft information in specfile (Bug #16765)

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>

- remove duplicate source files
- sync up description with specspo

* Fri Aug 04 2000 Than Ngo <than@redhat.de>

- remove Vendor and Distribution from specfile (Bug #15246)

* Fri Aug 04 2000 Than Ngo <than@redhat.de>

- starts tripwire --check if it was configured before. (Bug #15384)

Comment 3 Need Real Name 2001-06-24 14:25:20 EDT
This issue is not fully resolved.

The very same segfault failure originally reported occurs on Tripwire version
1.2 (patchlevel 2), the latest one distributed for the Sparc 32 architecture.

There is no 'twinst.sh' script as part of the distribution for 6.2 Sparc.

Please advise as to a fix.

Note You need to log in before you can comment on or make changes to this bug.